Make a webinar's share cards
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Makes (or remakes) all six cards, or designs, from the webinar as it is now. Takes a few seconds.
Remaking updates the same cards wherever they are used and keeps which ones are on the sharing pages.
Returns the GET payload. Requires write:marketing.
Request example
curl --request POST \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/sharing/share-cards' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "designs": [ "spotlight" ]}'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sharing/share-cards', { method: 'POST', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "designs": [ "spotlight" ] }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "POST", "https://public-api.sessionboard.com/v1/event/{eventId}/sharing/share-cards", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "designs": [ "spotlight" ] },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/sharing/share-cards", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => '{ "designs": [ "spotlight" ]}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("POST", "https://public-api.sessionboard.com/v1/event/{eventId}/sharing/share-cards", strings.NewReader(`{ "designs": [ "spotlight" ]}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/sharing/share-cards")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\n \"designs\": [\n \"spotlight\"\n ]\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequiredThe webinar's event id.
Request body
designsstring[]- Allowed values
"spotlight", "lineup", "portrait", "headline", "calendar", "ticket"
{ "designs": [ "spotlight" ]}Responses
200application/json
The share cards.
successbooleanpayloadSharingShareCardsShow child attributes
cardsobject[]Show child attributes
template_idstringdesignstring- Allowed values
"spotlight", "lineup", "portrait", "headline", "calendar", "ticket"
namestringfacesbooleanurlstringwidthintegerheightintegerin_advocacybooleanOn the speakers' and attendees' sharing pages.
generated_atstring<date-time>
generatedbooleangenerated_atstring<date-time> | nullstalebooleanstartedbooleanstarts_atstring<date-time> | nulltimezonestring | nullspeakersintegerspeakers_with_photosintegerregistration_urlstring | nulldesignsobject[]Show child attributes
idstringnamestringfacesboolean
403
SCOPE_REQUIRED: the token lacksread:events(reads) orwrite:marketing(writes).EVENT_NOT_ALLOWED: the event is outside the token's event allow-list.- Otherwise the token's user cannot read (or edit) sharing on this webinar.
409
The event is not a webinar.
Response examples
{ "success": true, "payload": { "cards": [ { "template_id": "<string>", "design": "spotlight", "name": "<string>", "faces": true, "url": "<string>", "width": 123, "height": 123, "in_advocacy": true, "generated_at": "2026-01-15T09:30:00Z" } ], "generated": true, "generated_at": "2026-01-15T09:30:00Z", "stale": true, "started": true, "starts_at": "2026-01-15T09:30:00Z", "timezone": "<string>", "speakers": 123, "speakers_with_photos": 123, "registration_url": "<string>", "designs": [ { "id": "<string>", "name": "<string>", "faces": true } ] }}